次の方法で共有


Cluster Managers - Update Relay Private Endpoint Connection

指定されたクラスターマネージャーが管理するAzure Relay名前空間のプライベートエンドポイント接続を更新してください。 この操作を使って、クラスタマネージャーが管理するリレー名前空間の保留中のプライベートエンドポイント接続リクエストを承認または拒否します。

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NetworkCloud/clusterManagers/{clusterManagerName}/updateRelayPrivateEndpointConnection?api-version=2026-01-01-preview

URI パラメーター

名前 / 必須 説明
clusterManagerName
path True

string

pattern: ^([a-zA-Z0-9][a-zA-Z0-9-_]{0,28}[a-zA-Z0-9])$

クラスター マネージャーの名前。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前の大文字と小文字は区別されません。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

要求本文

名前 必須 説明
connectionState True

RelayPrivateEndpointConnectionState

プライベート エンドポイント接続に設定する状態。

privateEndpointResourceId True

string (arm-id)

リレー名前空間への接続を許可または拒否するプライベートエンドポイントのリソースID。

description

string

プライベートエンドポイント接続に関連付けられる記述。

応答

名前 説明
202 Accepted

リソース操作が受け入れられます。

ヘッダー

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 Flow.

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

Approve private endpoint connection
Reject private endpoint connection

Approve private endpoint connection

要求のサンプル

POST https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/clusterManagers/clusterManagerName/updateRelayPrivateEndpointConnection?api-version=2026-01-01-preview

{
  "connectionState": "Approved",
  "description": "Approving private endpoint connection",
  "privateEndpointResourceId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.Network/privateEndpoints/privateEndpointName"
}

応答のサンプル

Location: https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.NetworkCloud/locations/location/operationStatuses/operationId?api-version=2026-01-01-preview

Reject private endpoint connection

要求のサンプル

POST https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/clusterManagers/clusterManagerName/updateRelayPrivateEndpointConnection?api-version=2026-01-01-preview

{
  "connectionState": "Rejected",
  "description": "Rejecting private endpoint connection",
  "privateEndpointResourceId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.Network/privateEndpoints/privateEndpointName"
}

応答のサンプル

Location: https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.NetworkCloud/locations/location/operationStatuses/operationId?api-version=2026-01-01-preview

定義

名前 説明
ClusterManagerUpdateRelayPrivateEndpointConnectionParameters

ClusterManagerUpdateRelayPrivateEndpointConnectionParametersは、クラスタマネージャーが管理するプライベートリレーのリレープライベートエンドポイント接続を承認または拒否するリクエストの本文を表します。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

RelayPrivateEndpointConnectionState

プライベート エンドポイント接続に設定する状態。

ClusterManagerUpdateRelayPrivateEndpointConnectionParameters

ClusterManagerUpdateRelayPrivateEndpointConnectionParametersは、クラスタマネージャーが管理するプライベートリレーのリレープライベートエンドポイント接続を承認または拒否するリクエストの本文を表します。

名前 説明
connectionState

RelayPrivateEndpointConnectionState

プライベート エンドポイント接続に設定する状態。

description

string

プライベートエンドポイント接続に関連付けられる記述。

privateEndpointResourceId

string (arm-id)

リレー名前空間への接続を許可または拒否するプライベートエンドポイントのリソースID。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 説明
error

ErrorDetail

エラー オブジェクト。

RelayPrivateEndpointConnectionState

プライベート エンドポイント接続に設定する状態。

説明
Approved

プライベートエンドポイント接続が承認されました。

Rejected

プライベートエンドポイント接続は拒否されます。